
.rlx_collection_banner-container {
    position: relative;
    width: min(100vw, 1920px);
    left: 50%;
    margin-left: calc(-1 * min(100vw, 1920px) / 2);
    margin-right: calc(-1 * min(100vw, 1920px) / 2);
}

.rlx_collection_banner img {
    max-width: 100%;
    object-fit: cover;
    width: 100%
}

.home-baniere__image--mobile {
    display: none
}

.agendaRolex,.agendaRolex #container0 {
    background-color: #f9f7f4
}

.agendaRolex #main-container,.agendaRolex #container0 #main-container {
    max-width: 100% !important;
    margin: 0 7%
}

@media screen and (min-width: 768px) {
    .agendaRolex #main-container,.agendaRolex #container0 #main-container {
        margin:0 8%
    }
    body.accueilrolexv7 #main-container{margin:0 8%;}
}
.agendaRolex #main-container,.agendaRolex #container0 #main-container {
    margin:0 8%
}
body.accueilrolexv7 #main-container{margin:0 8%;}
.agendaRolex::before,.agendaRolex #container0::before {
    background-color: rgba(0,0,0,0)
}

.agenda-service {
    display: flex;
    justify-content: center;
    gap: 8px;
    width: 100%;
    margin: 50px auto 0
}

@media screen and (min-width: 768px) {
    .agenda-service {
        width:66.6666666667%;
        margin-top: 40px
    }
}

.agenda-service__block {
    width: 100%;
    flex-grow: 1;
    cursor: pointer
}

.agenda-service__image {
    display: block;
    max-width: 100%;
    object-fit: cover;
    aspect-ratio: 781/1000
}

@media screen and (min-width: 768px) {
    .agenda-service__image {
        aspect-ratio:1200/800
    }
}

.agenda-service__content {
    margin-top: 10px;
    padding-right: 20px
}

.step-back,[data-step] {
    display: none
}

[data-step="0"] {
    display: block
}

.agenda-days {
    margin: 60px auto 0;
    width: 100%;
    text-align: center;
    position: relative
}

@media screen and (min-width: 768px) {
    .agenda-days {
        width:50%
    }
}

@media screen and (min-width: 1025px) {
    .agenda-days {
        width:33.3333333333%
    }
}

.agenda-days__head {
    display: flex;
    align-items: center
}

.agenda-days__dates {
    flex-grow: 1
}

.agenda-days__arrow {
    flex-shrink: 0;
    width: 15px;
    cursor: pointer
}

.agenda-days__arrow svg {
    width: 100%;
    height: auto
}

.agenda-days__list {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 8px;
    margin: 50px 0
}

.agenda-days__pt2 {
    display: none
}

.agenda-days__day {
    background-color: #fff;
    padding: 10px 20px;
    text-align: center;
    border-radius: 1px;
    cursor: pointer
}

.agenda-days__day--off {
    opacity: 50%;
    cursor: default
}

.agenda-days__day--nextAvailable {
    grid-column: span 3
}

.agenda-days__day.actif {
    background-color: #452c1e;
    color: #fff
}

.agenda-days__slots {
    margin-top: 30px
}

@media screen and (min-width: 768px) {
    .agenda-days__slots {
        margin-top:40px
    }
}

.agenda-days__slot-list {
    display: none;
    grid-template-columns: repeat(3, 1fr);
    gap: 8px
}

.agenda-days__slot-list.actif {
    display: grid
}

.agenda-days__slot {
    background-color: #fff;
    padding: 7px 20px;
    text-align: center;
    border-radius: 10000px;
    cursor: pointer
}

.agenda-days__slot--off {
    opacity: 50%;
    cursor: default
}

.agenda-days__slot.actif {
    background-color: #452c1e;
    color: #fff
}

.agenda-confirm {
    margin: 40px auto 0;
    width: 100%;
    background-color: #fff
}

@media screen and (min-width: 768px) {
    .agenda-confirm {
        width:66.6666666667%
    }
}

@media screen and (min-width: 1025px) {
    .agenda-confirm {
        width:50%
    }
}

.agenda-confirm__inner {
    padding: 40px 16.6666666667%
}

@media screen and (min-width: 768px) {
    .agenda-confirm__inner {
        padding:70px 16.6666666667%
    }
}

@media screen and (min-width: 1025px) {
    .agenda-confirm__inner {
        padding:80px 16.6666666667%
    }
}

.agenda-confirm__detail {
    margin-top: 40px
}

.agenda-confirm__detail+.agenda-confirm__detail {
    margin-top: 20px
}

@media screen and (min-width: 768px) {
    .agenda-confirm__detail+.agenda-confirm__detail {
        margin-top:30px
    }
}

.form-rolex {
    width: 100%;
    margin: 80px auto 0
}

@media screen and (min-width: 768px) {
    .form-rolex {
        width:83.3333333333%
    }
}

@media screen and (min-width: 1025px) {
    .form-rolex {
        width:50%
    }
}

.form-rolex__container-elm {
    display: grid;
    gap: 30px 8px;
    grid-template-columns: repeat(6, 1fr)
}

.form-rolex__container-elm>* {
    grid-column: 1/7
}

@media screen and (min-width: 768px) {
    .form-rolex__container-elm {
        grid-template-columns:repeat(10, 1fr)
    }

    .form-rolex__container-elm>* {
        grid-column: 1/11
    }
}

@media screen and (min-width: 1025px) {
    .form-rolex__container-elm {
        grid-template-columns:repeat(6, 1fr)
    }

    .form-rolex__container-elm>* {
        grid-column: 1/7
    }
}

.form-rolex .container-select-civility,.form-rolex .container-select-civilite {
    grid-column: 1/3
}

@media screen and (min-width: 1025px) {
    .form-rolex .container-select-civility,.form-rolex .container-select-civilite {
        grid-column:1/2
    }
}

.form-rolex .container-input-surname,.form-rolex .container-input-prenom {
    grid-column: 3/7
}

@media screen and (min-width: 1025px) {
    .form-rolex .container-input-surname,.form-rolex .container-input-prenom {
        grid-column:2/4
    }
}

@media screen and (min-width: 768px) {
    .form-rolex .container-input-name,.form-rolex .container-input-nom {
        grid-column:7/11
    }
}

@media screen and (min-width: 1025px) {
    .form-rolex .container-input-name,.form-rolex .container-input-nom {
        grid-column:4/7
    }
}

.form-rolex .container-select-prefix,.form-rolex .container-input-cp {
    grid-column: 1/3
}

@media screen and (min-width: 1025px) {
    .form-rolex .container-select-prefix,.form-rolex .container-input-cp {
        grid-column:1/2
    }
}

.form-rolex .container-input-phone,.form-rolex .container-input-ville {
    grid-column: 3/7
}

@media screen and (min-width: 768px) {
    .form-rolex .container-input-phone,.form-rolex .container-input-ville {
        grid-column:3/11
    }
}

@media screen and (min-width: 1025px) {
    .form-rolex .container-input-phone,.form-rolex .container-input-ville {
        grid-column:2/7
    }
}

@media screen and (min-width: 768px) {
    .form-rolex {
        width:83.3333333333%
    }
}

@media screen and (min-width: 1025px) {
    .form-rolex {
        width:50%
    }
}

.form-rolex input {
    width: 100%;
    padding: 7px 0;
    border: 0 none;
    background-color: rgba(0,0,0,0);
    border-bottom: 1px solid #452c1e;
    font-family: "Helvetica W01",helvetica,sans-serif;
    font-size: 1.8rem;
    line-height: 2.2rem;
    line-height: 0 !important
}

@media screen and (min-width: 768px) {
    .form-rolex input {
        font-size:2rem;
        line-height: 2.4rem
    }
}

.form-rolex label {
    color: #452c1e;
    opacity: 50%;
    font-family: "Helvetica W01",helvetica,sans-serif;
    font-size: 1.2rem;
    line-height: 1.6rem;
    line-height: 1.1 !important;
    font-weight: bold
}

@media screen and (min-width: 768px) {
    .form-rolex label {
        font-size:1.6rem;
        line-height: 2rem
    }
}

.form-rolex label a {
    color: #127749;
    font-weight: bold
}

.form-rolex .b-form-checkbox>label {
    display: none !important
}

.form-rolex .b-form-checkbox__checkbox {
    margin-top: 16px
}

.form-rolex .b-form-checkbox label {
    font-family: "Helvetica W01",helvetica,sans-serif;
    opacity: 100%;
    font-size: 1rem;
    line-height: 1.4rem;
    line-height: 1.1 !important;
    color: #212121;
    font-weight: normal;
    display: flex;
    align-items: center;
    gap: 10px;
    padding: 0
}

.form-rolex .b-form-checkbox label::before {
    position: relative;
    content: "";
    width: 20px;
    height: 20px;
    border: 1px solid #212121;
    background-color: #fff;
    transition: border-color .3s;
    top: 0;
    transform: none;
    margin-right: 0;
    border-radius: 20px
}

.form-rolex .b-form-checkbox label::after {
    position: absolute;
    content: "";
    background-color: #127749;
    border-radius: 12px;
    width: 20px;
    height: 20px;
    top: 10px;
    left: 0;
    background-position: left 3px top 4px;
    background-repeat: no-repeat;
    background-size: 13px 13px;
    background-image: url(../images/check-checkbox.svg)
}
.b-form-checkbox__input:checked+label::after {
    opacity: 100%;
}
@media screen and (min-width: 768px) {
    .form-rolex .b-form-checkbox label {
        font-size:1.4rem;
        line-height: 1.8rem
    }
}

.form-rolex .select2-results__option[aria-selected=true] {
    background-color: #127749;
    color: #fff !important
}

.form-rolex .select2-results__option--highlighted[aria-selected=false] {
    background-color: rgba(18,119,73,.5);
    color: #fff !important
}

.form-rolex .select2-results .select2-results__option[aria-selected] {
    font-family: "Helvetica W01",helvetica,sans-serif;
    color: #212121;
    font-size: 1.3rem;
    line-height: 1.7rem
}

.form-rolex .select2-search--dropdown {
    display: none
}

.form-rolex .select2-selection:focus,.form-rolex .select2-dropdown {
    border-color: #127749 !important
}

.form-rolex .select2-search--dropdown .select2-search__field {
    display: none
}

.form-rolex .select2-container .select2-selection--single {
    padding-left: 0;
    border-top: none;
    border-left: none;
    border-right: none;
    background-color: rgba(0,0,0,0) !important;
    padding: 7px 0;
    height: 37px;
    border-color: #452c1e
}

.form-rolex .select2-selection__rendered {
    font-family: "Helvetica W01",helvetica,sans-serif;
    font-size: 1.8rem;
    line-height: 2.2rem
}

@media screen and (min-width: 768px) {
    .form-rolex .select2-selection__rendered {
        font-size:2rem;
        line-height: 2.4rem
    }
}

.form-rolex .form-element:has(.error) label {
    color: #452c1e;
    opacity: 100%;
    text-transform: c;
}

.form-rolex .showError {
    margin-top: 10px;
    font-weight: bold
}


@media screen and (min-width: 1025px) {
   body .rolex-step__subintro {
        width: 60.333333%;
    }
}

@media screen and (min-width: 1400px) {
    body .rolex-step__subintro {
         width: 50.333333%;
     }
 }

 @media screen and (min-width: 2000px) {
    body .rolex-step__subintro {
         width: 45.333333%;
     }
 }
 @media screen and (min-width: 2500px) {
    body .rolex-step__subintro {
         width: 35.333333%;
     }
 }
 body     .rolex-body1 {
    font-size: 2.4rem;
    line-height: 2.8rem;
    font-weight: 600;
}


.agenda__alert.rolex-body2.rolex-body2--bold.w-sm {
    width: 50rem;
    margin: 30px auto;
}

section.slect_location {
    width: 60rem;
    margin: 30px auto;
}

section.slect_location select {
    width: 100%;
    border: 0;
    background: none;
    border-bottom: 1px solid #452c1e4d;
    padding: 10px 0;
    font-size: 19px;
}

.select_list_box ul {
    display: flex;
    /* align-items: center; */
    justify-content: center;
    padding: 0px;
    gap: 8px;
}

.select_list_box ul li {
    background: #fff;
    padding: 50px 25px;
    width: 25%;
    text-align: center;
}

.select_list_box ul li h2 {
    font-size: 16px;
}

.select_list_box ul li h3 {
    font-size: 26px;
    padding: 15px 0 20px;
    color: #452c1e;
    font-weight: bold;
}

.select_list_box ul li p {
    font-size: 15px;
}


select.b-form-select__select{
    background: none;
    border: 0;
    padding: 6px 0;
    font-size: 20px;
    border-bottom: 1px solid #452c1e;
    width: 100%;
}




 .m-form-group__field {
    border-color: #fff;
    background: #fff;
    padding: 0;
}


.m-form-textarea__fieldsize {
    min-height: 180px;
}

    .m-form-group__field textarea {
        font-size: 16px;
        letter-spacing: .4px;
        line-height: 24px;
        font-weight: 400;padding: 30px;    display: block;
        outline: none;
        border: none;
        border-radius: 0;
        background-color: transparent; width:100%; min-height:180px;
    }
.top-10{margin:2rem 0;}
.agenda-confirm.top50{margin-top:50px;}
div#multiStepForm {
    padding-bottom: 10vh;
}
    @media (min-width: 641px) {
        .m-form-group__field textarea {padding:40px;min-height:280px;}
        .m-form-group__field {
            margin: 5rem 15rem;
        }
    }

    body.cnkrolexv1 #main-container{margin:0 8%; max-width:100%;}
    body.cnkrolexv1{background-color: #f9f7f4;}


    @media (max-width:990px)
    {
        .agenda__alert.rolex-body2.rolex-body2--bold.w-sm {
            width: 100%;
            margin: 30px auto;
        }
        .agenda-service__content {
            margin-top: 10px;
            padding-right: 0;
        }
        body .rolex-body1 {
            font-size: 1.8rem;}
            .agenda-service {
                display: flex;
                justify-content: center;
                gap: 8px;
                width: 100%;
                margin: 26px auto 0;
            }
            .select_list_box ul li {
                width: 100%;
                text-align: center;
            }
            section.slect_location {
                width: 100%;}
                body .rolex-fixed1 {
                    font-size: 1.2rem;}

    }

    p.and-or {
        margin: -1rem 0;
        font-size: 14px;
    }
    .error {
        border-color: red !important;
        color: red;
    }

    @media (max-width:700px) {
        .sucess_messag br{display: none;}

    }

    .agenda-confirm2.top50 {
        margin-top: 50px;
    }

    @media (min-width:768px) {
        .agenda-confirm2.top50 {
            max-width: 80%;
            margin: 50px auto;
        }

    }

    @media (max-width: 640px) {

        div#multiStepForm {
            padding-bottom: 3vh;
        }

    }



/*--UIKA14041994-CSS--24-04-2025-start--*/
    div#multiStepForm {padding-bottom: 0;}
    .agendaRolex, .agendaRolex #container0{background: #fff;}
    body.cnkrolexv1 #main-container{margin: 0;}
    .m-form-group__field textarea{ background-color: #f9f7f4;}
    @media (max-width:991px) {
        .pdinline_20 {padding-inline: 20px;}
    }
/*--UIKA14041994-CSS--24-04-2025-end--*/

    /* .form-rolex {height: 40rem;overflow-y: scroll;padding-right: 20px;}
    ::-webkit-scrollbar {width: 10px !important;}
   ::-webkit-scrollbar-track {box-shadow: inset 0 0 5px grey;border-radius: 10px;}
  ::-webkit-scrollbar-thumb {background: #1a473f !important;border-radius: 10px;}
  ::-webkit-scrollbar-thumb:hover {background: #000;} */
  .rolex-step__back.active {padding-left: 1.5rem;}
  @media (max-width:991px) {::-webkit-scrollbar {width: 5px !important;}
      .m-form-group__field textarea {max-width: 90%;margin-inline: auto;}
      .m-form-group__field {margin: 5rem 3rem;}
      .rolex-step__subintro .rolex-body2 {margin-top: 30px;}
      .m-form-group__field textarea {min-height: 200px;}
      .rolex-step {padding-inline:2rem;}
      .m-form-group__field {margin:5rem 0;}
      .form-rolex {height: auto;overflow-y: auto;padding-right: 0;}
      .form-rolex__container-elm>* {grid-column: 1 / 11;}

  }
  @media (max-width:575px){
    .m-form-group__field textarea {max-width: 100%;}
    .m-form-group__field textarea {padding: 20px;}
  }
/*--UIKA14041994-CSS--26-04-2025-end--*/
.m-form-group__field textarea {max-width: 51.4%;margin-inline: auto;min-height: 191px;}
.m-form-group__field textarea {max-width: 55%;}

@media (max-width:767px){
    .m-form-group__field textarea {max-width:94.5%;}
}
/*--UIKA14041994-CSS--27-04-2025-end--*/
.rolex-step select.b-form-select__select {border-bottom: 1px solid rgb(122, 122, 122);}
.form-element.b-form-select.container-select-civilitySendMsg.salutation {grid-column: 1 / 2;}
.rolex-step .form-rolex input{padding: 7px 0;}
.rolex-step .form-rolex label, .rolex-step .select2-container .select2-selection--single .select2-selection__rendered, select.b-form-select__select, .rolex-step .form-rolex input{font-weight: 400;font-size: 1.6rem;}
body .rolex-step__subintro .rolex-body2.rolex-body2--bold {font-weight: bold;}
.rolex-step label.b-form-checkbox__label p{font-size: 1.4rem;}
.rolex-step {padding-bottom: 8rem;}
.rolex-step .agenda-service {margin-top:65px;}
.form-rolex .select2-container .select2-selection--single {height: 32px;}
.rolex-body2.agenda-confirm__value {text-transform: capitalize;}
.rolex-step .agenda-confirm__inner {padding: 0;}
.rolex-step .agenda-confirm__inner .rolex-body2.rolex-body2--bold {width:50%;font-weight: bold;text-align: right;border: none;}
.rolex-step .agenda-confirm__inner .rolex-body2.agenda-confirm__value{width:50%;border: none;}
.rolex-step .agenda-confirm__inner .agenda-confirm__detail{display: flex;}
.rolex-step .agenda-confirm__inner table{margin-block: 3rem;}
@media (max-width:1649px){
    .rolex-step .agenda-service {margin-top:8rem;}
}
@media (max-width:1399px){
    .rolex-step .agenda-service {margin-top:7rem;}
    .rolex-step {padding-bottom:5rem;}
}
@media (max-width:1399px){
    .rolex-step__subintro {width: 88%;}
}
@media (max-width:1050px){
.form-element.b-form-select.container-select-civilitySendMsg.salutation {
    grid-column: 1 / 3;
}
}
@media (max-width:991px){
    /* .form-rolex .container-input-surname, .form-rolex .container-input-prenom {grid-column: 1 / 11;}
    .form-rolex .container-input-phone, .form-rolex .container-input-ville {grid-column: 3 / 11;}
    .rolex-step .form-rolex .select2-container .select2-selection--single {padding: 6px 0;height: 37px;}
    .form-element.b-form-select.container-select-civilitySendMsg.salutation {grid-column: 1 / 11;} */
    .form-rolex__container-elm>* {margin-bottom: 0;}
    .m-form-group__field textarea{padding: 15px;}
    .form-rolex__container-elm{gap:3rem 1rem;}
}
@media (max-width:767px){
    .rolex-step .form-rolex .select2-container .select2-selection--single {height: 34px;}
    .form-rolex__container-elm{display:flex;flex-direction:column;}
    .rolex-step{padding-inline: 2rem;}
    .form-rolex .b-form-checkbox label::before{width:15px;height:15px;}
    .form-rolex .b-form-checkbox label::after{ width:15px; height:15px; background-size:8px; top:50%; transform:translateY(-50%); -webkit-transform:translateY(-50%); -moz-transform:translateY(-50%); -ms-transform:translateY(-50%); -o-transform:translateY(-50%); }
    .form-rolex .b-form-checkbox label{align-items: center;}
    .select_list_box ul{flex-direction: column;}
    .select_list_box ul li{padding:20px 10px;}
}
@media (max-width:575px){
    .rolex-step__subintro {width:100%;}
    select.b-form-select__select, .form-rolex .select2-selection__rendered {font-size: 16px;}
    label.b-form-checkbox__label p{width:calc(100% - 2rem);}
    .rolex-step .agenda-confirm__inner{padding-inline: 0;}
    .form-rolex .container-select-prefix, .form-rolex .container-input-cp { grid-column: 1 / 11;}
    .form-rolex .container-input-phone, .form-rolex .container-input-ville {grid-column: 1 / 11;}
    .rolex-step label.b-form-checkbox__label p {font-size: 1rem;}
    .rolex-step__back svg {stroke: #000;}

}

/*--UIKA14041994-CSS--28-04-2025-end--*/
